curl https://api.growthbook.io/api/v1/experiments/exp_123abc/visual-changesets \
-u secret_abc123DEF456:{
"visualChangesets": [
{
"urlPatterns": [
{
"type": "simple",
"pattern": "<string>",
"include": true
}
],
"editorUrl": "<string>",
"experiment": "<string>",
"visualChanges": [
{
"variation": "<string>",
"domMutations": [
{
"selector": "<string>",
"action": "append",
"attribute": "<string>",
"value": "<string>",
"parentSelector": "<string>",
"insertBeforeSelector": "<string>"
}
],
"description": "<string>",
"css": "<string>",
"js": "<string>"
}
],
"id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The experiment id the visual changesets belong to
Success
Show child attributes
curl https://api.growthbook.io/api/v1/experiments/exp_123abc/visual-changesets \
-u secret_abc123DEF456:{
"visualChangesets": [
{
"urlPatterns": [
{
"type": "simple",
"pattern": "<string>",
"include": true
}
],
"editorUrl": "<string>",
"experiment": "<string>",
"visualChanges": [
{
"variation": "<string>",
"domMutations": [
{
"selector": "<string>",
"action": "append",
"attribute": "<string>",
"value": "<string>",
"parentSelector": "<string>",
"insertBeforeSelector": "<string>"
}
],
"description": "<string>",
"css": "<string>",
"js": "<string>"
}
],
"id": "<string>"
}
]
}